Install from Source

Pyro supports Python 2.7.* and Python 3. To setup, install PyTorch then run:

pip install pyro-ppl

or install from source:

git clone
cd pyro
python install


Some bleeding-edge features of Pyro (e.g. enum_discrete) require a very recent version of PyTorch. We recommend installing PyTorch from source using the master branch. See PyTorch install instructions for details.